Retrieves all the equipment_family objects
Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
equipment_family| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| name |
Name of the equipment family |
string |
Required Max length: 50 |
| description |
Description of the equipment family |
string |
Max length: 4000 |
| code |
The Id/Ref of the back office. Used by Embedded entity |
string |
Max length: 50 |
| _parent_id |
Parent Equipment Family (Parent / Child) when adding/updating equipment_family |
globally unique identifier | |
| _parent_code |
Embedded entity "equipment_family" for parent (Parent / Child) using ERP PK when adding/updating equipment_family |
string | |
| _parent_equipment_family |
Embedded entity "equipment_family" for parent (Parent / Child) when adding/updating equipment_family |
equipment_family | |
| sales_organization_id |
FK of sales_organization. Filled if specific of one SO, empty if can be used by all |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating company_type |
string | |
| sales_organization |
Embedded entity "sales_organization" when adding/updating company_type |
sales_organization | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "578a4f99-4b98-4de4-a089-b22967e99220",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "bd1c0f7b-68a8-4804-9528-55377d415271",
"_parent_code": "sample string 6",
"sales_organization_id": "33274e93-88ef-4271-a253-63b042c3637f",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "1d4d48ef-e4b3-4f1f-a3ae-1690a9decb49",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "a8f15c69-83cb-4e62-9b17-5e8780f36453",
"db_currency_id": "1b5bf619-9391-4d88-8571-808a1532bb4f",
"db_language_id": "05b9d268-985e-4cc9-b471-9098e50dc0a5",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-02T19:53:20.342257+00:00"
},
"modified_dateutc": "2026-11-02T19:53:20.342257+00:00"
}